Skip to navigation

Retrieve theme

Retrieves a theme in your Typeform account.

Authentication

AuthorizationBearer
Bearer token authentication. Tokens can be generated from the user account. Privileges needed may vary.
OR
Authorizationstring

A string representation of JWT containing at least two parameters:

ctx.user_id — user’s id

ctx.account_id — user’s default account id ctx.account_uid — user’s default account uid The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it’s needed.

This JWT must be signed by the appropriate authority.

Path parameters

theme_idstringRequired
Unique ID for the theme.

Response

OK
backgroundobjectOptional
Settings for the background.
colorsobjectOptional
Colors the theme will apply to answers, background, buttons, and questions.
fieldsobjectOptional
Defines font size and alignment for fields.
fontstringOptionalDefaults to Source Sans Pro
Font for the theme.
has_transparent_buttonbooleanOptional

true if buttons should be transparent. Otherwise, false.

idstringOptional
Unique ID of the theme.
namestringOptional
Name of the theme.
rounded_cornersenumOptionalDefaults to small
Specifies border radius style of buttons and other elements in the form.
Allowed values:
screensobjectOptional
Defines font size and alignment for welcome and thankyou screens.
visibilityenumOptionalDefaults to private
Specifies whether the theme is public or private.
Allowed values: